      SUBROUTINE LAMPFI (ALE,CHC,CINLIN)                                00054 
      LOGICAL*2 ALE                                                     00070 
      INTEGER*2 CHC,CINLIN                                              00071 
      INTEGER*2 NUMLIN                          !830307 MAO             00075 
      LOGICAL*2 CNTALL                          !830307 MAO             00076 
      COMMON/FLINE/CNTALL,NUMLIN                        !830307 MAO     00077 
      LOGICAL*2 ALECS,LSTFUL                                            00079 
      INTEGER*2 TYPIN,TYPLST,TYPOUT,CHCMNT                              00080 
      COMMON/MACVAL/ALECS,TYPIN,TYPLST,TYPOUT,CHCMNT,LSTFUL             00081 
      CHCMNT="103               !COMMENT CHARACTER=C (SEE NOTE 1)       00098 
      CINLIN="41        !IN-LINE COMMENT CHARACTER=!                    00099 
      CALL IRAD50(3,3HFLX,TYPIN)        !INPUT FILE EXTENSION           00100 
      CALL IRAD50(3,3HFLL,TYPLST)       !LIST FILE EXTENSION            00101 
      CALL IRAD50(3,3HFTN,TYPOUT)       !OUTPUT FILE EXTENSION          00102 
      ALECS=.FALSE.                                                     00103 
      ALE=ALECS                                                         00106 
      CHC=CHCMNT                                                        00107 
      CNTALL=.TRUE.     !COUNT ALL LINES FOR VMS FORTRAN        !830307 00117 
      RETURN                                                            00121 
      END                                                               00122 
